function DisplayOverviewHud:setGetCfg(loadCfg)
	createFolder(getUserProfileAppPath().. "modsSettings/");
	createFolder(DisplayOverviewHud.settingsDir);
	local file = DisplayOverviewHud.settingsDir.. "displayOverviewHudSettings.xml";
	local Xml = nil;
	local xmlVersion = 0.2;
	if not fileExists(file) or not loadCfg then
		Xml = createXMLFile("DisplayOverviewHud_XML", file, "displayOverviewHudSettings");		
		local groupNameTag = ("displayOverviewHudSettings.version(%d)"):format(0);
		setXMLString(Xml, groupNameTag.. "#xmlVersion", tostring(xmlVersion));
		groupNameTag = ("displayOverviewHudSettings.global(%d)"):format(0);
		setXMLBool(Xml, groupNameTag.. "#isOn", DisplayOverviewHud.settings.isOn);
		setXMLBool(Xml, groupNameTag.. "#rebootXmlESC", DisplayOverviewHud.rebootXml);
		setXMLBool(Xml, groupNameTag.. "#modusInfo", DisplayOverviewHud.settings.modusInfo);
		setXMLBool(Xml, groupNameTag.. "#hlDebugMode", DisplayOverviewHud.hlDebugMode);
		
		local stringNotFillTypes = "";		
		if DisplayOverviewHud.settings.notDrawFillTypes.byUser ~= nil then
			groupNameTag = ("displayOverviewHudSettings.drawNotFillTypes.byUser(%d)"):format(0);
			for _,notFill in pairs(DisplayOverviewHud.settings.notDrawFillTypes.byUser) do
				if string.len(stringNotFillTypes) > 0 then stringNotFillTypes = stringNotFillTypes.. " ".. notFill:lower();else stringNotFillTypes = notFill:lower();end;
			end;
			setXMLString(Xml, groupNameTag.. "#string", stringNotFillTypes);		
		end;
		stringNotFillTypes = "";		
		if DisplayOverviewHud.settings.notDrawFillTypes.default ~= nil then
			groupNameTag = ("displayOverviewHudSettings.drawNotFillTypes.default(%d)"):format(0);
			for _,notFill in pairs(DisplayOverviewHud.settings.notDrawFillTypes.default) do
				if string.len(stringNotFillTypes) > 0 then stringNotFillTypes = stringNotFillTypes.. " ".. notFill:lower();else stringNotFillTypes = notFill:lower();end;
			end;
			setXMLString(Xml, groupNameTag.. "#string", stringNotFillTypes);		
		end;
		stringNotFillTypes = "";		
		if DisplayOverviewHud.settings.notDrawFillTypes.animals ~= nil then
			groupNameTag = ("displayOverviewHudSettings.drawNotFillTypes.animals(%d)"):format(0);
			for _,notFill in pairs(DisplayOverviewHud.settings.notDrawFillTypes.animals) do
				if string.len(stringNotFillTypes) > 0 then stringNotFillTypes = stringNotFillTypes.. " ".. notFill:lower();else stringNotFillTypes = notFill:lower();end;
			end;
			setXMLString(Xml, groupNameTag.. "#string", stringNotFillTypes);		
		end;
		stringNotFillTypes = "";
		if DisplayOverviewHud.settings.notDrawFillTypes.exactNames ~= nil then
			groupNameTag = ("displayOverviewHudSettings.drawNotFillTypes.exactNames(%d)"):format(0);
			for _,notFill in pairs(DisplayOverviewHud.settings.notDrawFillTypes.exactNames) do
				if string.len(stringNotFillTypes) > 0 then stringNotFillTypes = stringNotFillTypes.. " ".. notFill:lower();else stringNotFillTypes = notFill:lower();end;
			end;
			setXMLString(Xml, groupNameTag.. "#string", stringNotFillTypes);
		end;
		stringNotFillTypes = "";
		if DisplayOverviewHud.settings.notDrawFillTypes.masterNameForExactNames ~= nil then
			groupNameTag = ("displayOverviewHudSettings.drawNotFillTypes.masterNameForExactNames(%d)"):format(0);
			for _,notFill in pairs(DisplayOverviewHud.settings.notDrawFillTypes.masterNameForExactNames) do
				if string.len(stringNotFillTypes) > 0 then stringNotFillTypes = stringNotFillTypes.. " ".. notFill:lower();else stringNotFillTypes = notFill:lower();end;
			end;
			setXMLString(Xml, groupNameTag.. "#string", stringNotFillTypes);
		end;
		
		groupNameTag = ("displayOverviewHudSettings.drawGlobal.seeLines(%d)"):format(0);
		setXMLBool(Xml, groupNameTag.. "#boolean", DisplayOverviewHud.settings.draw.seeLine);
		groupNameTag = ("displayOverviewHudSettings.drawGlobal.txtSize(%d)"):format(0);
		setXMLFloat(Xml, groupNameTag.. "#float", DisplayOverviewHud.settings.size);
		groupNameTag = ("displayOverviewHudSettings.drawGlobal.txtBold(%d)"):format(0);
		setXMLBool(Xml, groupNameTag.. "#boolean", DisplayOverviewHud.settings.txtBold);
		groupNameTag = ("displayOverviewHudSettings.drawGlobal.colorGreatDemand(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.greatDemand[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.greatDemand[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.greatDemand[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.greatDemand[4]);
		groupNameTag = ("displayOverviewHudSettings.drawGlobal.lineFat(%d)"):format(0);
		setXMLFloat(Xml, groupNameTag.. "#float", DisplayOverviewHud.settings.draw.lineFat);
		groupNameTag = ("displayOverviewHudSettings.drawGlobal.widthDif(%d)"):format(0);
		setXMLFloat(Xml, groupNameTag.. "#float", DisplayOverviewHud.settings.draw.widthDif);
		groupNameTag = ("displayOverviewHudSettings.drawGlobal.supportForAnimalsHudMod(%d)"):format(0);
		setXMLBool(Xml, groupNameTag.. "#boolean", DisplayOverviewHud.settings.supportForAnimalsHud);
		
		
		groupNameTag = ("displayOverviewHudSettings.drawModus.attention(%d)"):format(0);
		setXMLString(Xml, groupNameTag.. "#info", "set ExactName(see accepts) with blank separator at modus1 2 ..., doubleNames is Error, sequence as you like");
		groupNameTag = ("displayOverviewHudSettings.drawModus.attention(%d)"):format(1);
		setXMLString(Xml, groupNameTag.. "#bsp", "fillType amounts not filltypes or fillTypes,amounts");
		groupNameTag = ("displayOverviewHudSettings.drawModus.accepts(%d)"):format(0);
		setXMLString(Xml, groupNameTag.. "#modusStringValues", "fillTypes bestPrices amounts stations foreignAnimalsHud");
		groupNameTag = ("displayOverviewHudSettings.drawModus.maxModus(%d)"):format(0);
		setXMLInt(Xml, groupNameTag.. "#int", DisplayOverviewHud.settings.draw.maxModus);		
		for a=1, #DisplayOverviewHud.settings.draw.sequenceModus do			
			if DisplayOverviewHud.settings.draw.sequenceModus[a] ~= nil then
				groupNameTag = ("displayOverviewHudSettings.drawModus.modus".. tostring(a));
				setXMLString(Xml, groupNameTag.. "#string", DisplayOverviewHud.settings.draw.sequenceModus[a]);
			end;			
		end;	
				
		
		groupNameTag = ("displayOverviewHudSettings.amounts.lineHorizontal(%d)"):format(0);
		setXMLBool(Xml, groupNameTag.. "#boolean", DisplayOverviewHud.settings.draw.lineWho.amountsHorizontal);
		groupNameTag = ("displayOverviewHudSettings.amounts.lineVertical(%d)"):format(0);
		setXMLBool(Xml, groupNameTag.. "#boolean", DisplayOverviewHud.settings.draw.lineWho.amountsVertical);
		groupNameTag = ("displayOverviewHudSettings.amounts.colorBackground(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.backgroundAmounts[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.backgroundAmounts[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.backgroundAmounts[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.backgroundAmounts[4]);
		groupNameTag = ("displayOverviewHudSettings.amounts.colorLine(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.lineAmounts[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.lineAmounts[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.lineAmounts[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.lineAmounts[4]);
		groupNameTag = ("displayOverviewHudSettings.amounts.colorTxt(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.txtAmount[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.txtAmount[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.txtAmount[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.txtAmount[4]);
		
		
		groupNameTag = ("displayOverviewHudSettings.fillTypes.maxNameLength(%d)"):format(0);
		setXMLInt(Xml, groupNameTag.. "#int", DisplayOverviewHud.settings.draw.maxFillNameLength);
		groupNameTag = ("displayOverviewHudSettings.fillTypes.lineHorizontal(%d)"):format(0);
		setXMLBool(Xml, groupNameTag.. "#boolean", DisplayOverviewHud.settings.draw.lineWho.fillTypesHorizontal);
		groupNameTag = ("displayOverviewHudSettings.fillTypes.lineVertical(%d)"):format(0);
		setXMLBool(Xml, groupNameTag.. "#boolean", DisplayOverviewHud.settings.draw.lineWho.fillTypesVertical);
		groupNameTag = ("displayOverviewHudSettings.fillTypes.colorBackground(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.backgroundFillTypes[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.backgroundFillTypes[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.backgroundFillTypes[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.backgroundFillTypes[4]);
		groupNameTag = ("displayOverviewHudSettings.fillTypes.colorLine(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.lineFillTypes[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.lineFillTypes[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.lineFillTypes[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.lineFillTypes[4]);
		groupNameTag = ("displayOverviewHudSettings.fillTypes.colorTxt(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.txtFillType[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.txtFillType[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.txtFillType[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.txtFillType[4]);
		
		
		groupNameTag = ("displayOverviewHudSettings.bestPrices.lineHorizontal(%d)"):format(0);
		setXMLBool(Xml, groupNameTag.. "#boolean", DisplayOverviewHud.settings.draw.lineWho.bestPricesHorizontal);
		groupNameTag = ("displayOverviewHudSettings.bestPrices.lineVertical(%d)"):format(0);
		setXMLBool(Xml, groupNameTag.. "#boolean", DisplayOverviewHud.settings.draw.lineWho.bestPricesVertical);
		groupNameTag = ("displayOverviewHudSettings.bestPrices.colorBackground(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.backgroundBestPrices[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.backgroundBestPrices[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.backgroundBestPrices[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.backgroundBestPrices[4]);
		groupNameTag = ("displayOverviewHudSettings.bestPrices.colorLine(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.lineBestPrices[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.lineBestPrices[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.lineBestPrices[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.lineBestPrices[4]);
		groupNameTag = ("displayOverviewHudSettings.bestPrices.colorTxt(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.txtBestPrice[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.txtBestPrice[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.txtBestPrice[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.txtBestPrice[4]);
				
		
		groupNameTag = ("displayOverviewHudSettings.stationes.onlyAppearsOnStats(%d)"):format(0);
		setXMLBool(Xml, groupNameTag.. "#boolean", DisplayOverviewHud.settings.onlyAppearsOnStats);
		groupNameTag = ("displayOverviewHudSettings.stationes.maxNameLength(%d)"):format(0);
		setXMLInt(Xml, groupNameTag.. "#int", DisplayOverviewHud.settings.draw.maxStationNameLength);
		groupNameTag = ("displayOverviewHudSettings.stationes.lineHorizontal(%d)"):format(0);
		setXMLBool(Xml, groupNameTag.. "#boolean", DisplayOverviewHud.settings.draw.lineWho.stationsHorizontal);
		groupNameTag = ("displayOverviewHudSettings.stationes.lineVertical(%d)"):format(0);
		setXMLBool(Xml, groupNameTag.. "#boolean", DisplayOverviewHud.settings.draw.lineWho.stationsVertical);		
		groupNameTag = ("displayOverviewHudSettings.stationes.colorBackground(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.backgroundStations[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.backgroundStations[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.backgroundStations[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.backgroundStations[4]);
		groupNameTag = ("displayOverviewHudSettings.stationes.colorLine(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.lineStations[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.lineStations[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.lineStations[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.lineStations[4]);
		groupNameTag = ("displayOverviewHudSettings.stationes.colorTxt(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.txtStation[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.txtStation[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.txtStation[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.txtStation[4]);
		groupNameTag = ("displayOverviewHudSettings.stationes.colorTxtBestPrice(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.bestPrice[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.bestPrice[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.bestPrice[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.bestPrice[4]);
		groupNameTag = ("displayOverviewHudSettings.stationes.colorIconBestPriceUp(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.bestPriceUp[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.bestPriceUp[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.bestPriceUp[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.bestPriceUp[4]);
		groupNameTag = ("displayOverviewHudSettings.stationes.colorIconBestPriceDown(%d)"):format(0);		
		setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.bestPriceDown[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.bestPriceDown[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.bestPriceDown[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.bestPriceDown[4]);
				
				
		saveXMLFile(Xml);
	else	
		Xml = loadXMLFile("displayOverviewHud_XML", file, "displayOverviewHudSettings");
		local groupNameTag = ("displayOverviewHudSettings.version(%d)"):format(0);
		if not getXMLString(Xml, groupNameTag.. "#xmlVersion") then DisplayOverviewHud:saveOldXml();DisplayOverviewHud:setGetCfg(false)return;end;
		local xmlVersionTemp = string.format("%1.1f", "".. getXMLString(Xml, groupNameTag.. "#xmlVersion"));		
		if tonumber(xmlVersionTemp) < tonumber(xmlVersion) then DisplayOverviewHud:saveOldXml();DisplayOverviewHud:setGetCfg(false);return;end;
		groupNameTag = ("displayOverviewHudSettings.global(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#isOn") ~= nil then DisplayOverviewHud.settings.isOn = getXMLBool(Xml, groupNameTag.. "#isOn");end;
		if getXMLBool(Xml, groupNameTag.. "#rebootXmlESC") ~= nil then DisplayOverviewHud.rebootXml = getXMLBool(Xml, groupNameTag.. "#rebootXmlESC");end;
		if getXMLBool(Xml, groupNameTag.. "#modusInfo") ~= nil then DisplayOverviewHud.settings.modusInfo = getXMLBool(Xml, groupNameTag.. "#modusInfo");end;
		if getXMLBool(Xml, groupNameTag.. "#hlDebugMode") ~= nil then DisplayOverviewHud.hlDebugMode = getXMLBool(Xml, groupNameTag.. "#hlDebugMode");end;
		
		
		local stringNotFillTypes = "";
		groupNameTag = ("displayOverviewHudSettings.drawNotFillTypes.byUser(%d)"):format(0);
		if getXMLString(Xml, groupNameTag.. "#string") then
			DisplayOverviewHud.settings.notDrawFillTypes.byUser = {}
			stringNotFillTypes = getXMLString(Xml, groupNameTag.. "#string");
			local stringSplit = DisplayOverviewHud:get_hl("stringSplit", {stringNotFillTypes, " "}, "XML Load stringSplit drawNotFillTypes byUser");
			if stringSplit ~= nil and #stringSplit > 0 then
				for a=1, #stringSplit do
					if string.len(stringSplit[a]) > 1 then						
						table.insert(DisplayOverviewHud.settings.notDrawFillTypes.byUser, tostring(stringSplit[a]:lower()));
					end;					
				end;							
			end;
		end;
		stringNotFillTypes = "";
		groupNameTag = ("displayOverviewHudSettings.drawNotFillTypes.default(%d)"):format(0);
		if getXMLString(Xml, groupNameTag.. "#string") then
			DisplayOverviewHud.settings.notDrawFillTypes.default = {}
			stringNotFillTypes = getXMLString(Xml, groupNameTag.. "#string");
			local stringSplit = DisplayOverviewHud:get_hl("stringSplit", {stringNotFillTypes, " "}, "XML Load stringSplit drawNotFillTypes default");
			if stringSplit ~= nil and #stringSplit > 0 then
				for a=1, #stringSplit do
					if string.len(stringSplit[a]) > 1 then						
						table.insert(DisplayOverviewHud.settings.notDrawFillTypes.default, tostring(stringSplit[a]:lower()));
					end;					
				end;							
			end;
		end;
		stringNotFillTypes = "";
		groupNameTag = ("displayOverviewHudSettings.drawNotFillTypes.animals(%d)"):format(0);
		if getXMLString(Xml, groupNameTag.. "#string") then
			DisplayOverviewHud.settings.notDrawFillTypes.animals = {}
			stringNotFillTypes = getXMLString(Xml, groupNameTag.. "#string");
			local stringSplit = DisplayOverviewHud:get_hl("stringSplit", {stringNotFillTypes, " "}, "XML Load stringSplit drawNotFillTypes animals");
			if stringSplit ~= nil and #stringSplit > 0 then
				for a=1, #stringSplit do
					if string.len(stringSplit[a]) > 1 then						
						table.insert(DisplayOverviewHud.settings.notDrawFillTypes.animals, tostring(stringSplit[a]:lower()));
					end;					
				end;							
			end;
		end;
		stringNotFillTypes = "";
		groupNameTag = ("displayOverviewHudSettings.drawNotFillTypes.exactNames(%d)"):format(0);
		if getXMLString(Xml, groupNameTag.. "#string") then
			DisplayOverviewHud.settings.notDrawFillTypes.exactNames = {}
			stringNotFillTypes = getXMLString(Xml, groupNameTag.. "#string");
			local stringSplit = DisplayOverviewHud:get_hl("stringSplit", {stringNotFillTypes, " "}, "XML Load stringSplit drawNotFillTypes exactNames");
			if stringSplit ~= nil and #stringSplit > 0 then
				for a=1, #stringSplit do
					if string.len(stringSplit[a]) > 1 then						
						table.insert(DisplayOverviewHud.settings.notDrawFillTypes.exactNames, tostring(stringSplit[a]:lower()));
					end;					
				end;							
			end;
		end;
		stringNotFillTypes = "";
		groupNameTag = ("displayOverviewHudSettings.drawNotFillTypes.masterNameForExactNames(%d)"):format(0);
		if getXMLString(Xml, groupNameTag.. "#string") then
			DisplayOverviewHud.settings.notDrawFillTypes.masterNameForExactNames = {}
			stringNotFillTypes = getXMLString(Xml, groupNameTag.. "#string");
			local stringSplit = DisplayOverviewHud:get_hl("stringSplit", {stringNotFillTypes, " "}, "XML Load stringSplit drawNotFillTypes masterNameForExactNames");
			if stringSplit ~= nil and #stringSplit > 0 then
				for a=1, #stringSplit do
					if string.len(stringSplit[a]) > 1 then						
						table.insert(DisplayOverviewHud.settings.notDrawFillTypes.masterNameForExactNames, tostring(stringSplit[a]:lower()));
					end;					
				end;							
			end;
		end;
		
		
		groupNameTag = ("displayOverviewHudSettings.drawGlobal.seeLine(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then DisplayOverviewHud.settings.draw.seeLine = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("displayOverviewHudSettings.drawGlobal.txtSize(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#float") then DisplayOverviewHud.settings.txtSize = getXMLFloat(Xml, groupNameTag.. "#float");end;
		groupNameTag = ("displayOverviewHudSettings.drawGlobal.txtBold(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then DisplayOverviewHud.settings.txtBold = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("displayOverviewHudSettings.drawGlobal.lineFat(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#float") then DisplayOverviewHud.settings.draw.lineFat = getXMLFloat(Xml, groupNameTag.. "#float");end;
		groupNameTag = ("displayOverviewHudSettings.drawGlobal.widthDif(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#float") then DisplayOverviewHud.settings.draw.widthDif = getXMLFloat(Xml, groupNameTag.. "#float");end;
		groupNameTag = ("displayOverviewHudSettings.drawGlobal.colorGreatDemand(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.greatDemand = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		
		
		groupNameTag = ("displayOverviewHudSettings.drawModus.maxModus(%d)"):format(0);
		if getXMLInt(Xml, groupNameTag.. "#int") then DisplayOverviewHud.settings.draw.maxModus = getXMLInt(Xml, groupNameTag.. "#int");end;
		DisplayOverviewHud.settings.draw.sequenceModus = {};
		for a=1, DisplayOverviewHud.settings.draw.sequenceModusMax do			
			groupNameTag = ("displayOverviewHudSettings.drawModus.modus".. tostring(a));
			if groupNameTag ~= nil then
				if getXMLString(Xml, groupNameTag.. "#string") then
					local sequenceString = getXMLString(Xml, groupNameTag.. "#string")					
					if string.len(sequenceString) > 2 then						
						if string.find(sequenceString, "foreignAnimalsHud") and not string.find(string.sub(sequenceString, 0, 17), "foreignAnimalsHud") then
							sequenceString = string.gsub(sequenceString, "foreignAnimalsHud", "");sequenceString = "foreignAnimalsHud ".. sequenceString;
						end;
						table.insert(DisplayOverviewHud.settings.draw.sequenceModus, a, sequenceString);
					end;
				end;
			end;
		end;		
		
		
		groupNameTag = ("displayOverviewHudSettings.amounts.lineHorizontal(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then DisplayOverviewHud.settings.draw.lineWho.amountsHorizontal = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("displayOverviewHudSettings.amounts.lineVertical(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then DisplayOverviewHud.settings.draw.lineWho.amountsVertical = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("displayOverviewHudSettings.amounts.colorBackground(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.backgroundAmounts = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		groupNameTag = ("displayOverviewHudSettings.amounts.colorLine(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.lineAmounts = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		groupNameTag = ("displayOverviewHudSettings.amounts.colorTxt(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.txtAmount = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		
		
		groupNameTag = ("displayOverviewHudSettings.fillTypes.maxFillNameLength(%d)"):format(0);
		if getXMLInt(Xml, groupNameTag.. "#int") then DisplayOverviewHud.settings.draw.maxFillNameLength = getXMLInt(Xml, groupNameTag.. "#int");end;
		groupNameTag = ("displayOverviewHudSettings.fillTypes.lineHorizontal(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then DisplayOverviewHud.settings.draw.lineWho.fillTypesHorizontal = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("displayOverviewHudSettings.fillTypes.lineVertical(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then DisplayOverviewHud.settings.draw.lineWho.fillTypesVertical = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("displayOverviewHudSettings.fillTypes.colorBackground(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.backgroundFillTypes = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		groupNameTag = ("displayOverviewHudSettings.fillTypes.colorLine(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.lineFillTypes = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		groupNameTag = ("displayOverviewHudSettings.fillTypes.colorTxt(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.txtFillType = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		
		
		groupNameTag = ("displayOverviewHudSettings.bestPrices.lineHorizontal(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then DisplayOverviewHud.settings.draw.lineWho.bestPricesHorizontal = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("displayOverviewHudSettings.bestPrices.lineVertical(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then DisplayOverviewHud.settings.draw.lineWho.bestPricesVertical = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("displayOverviewHudSettings.bestPrices.colorBackground(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.backgroundBestPrices = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		groupNameTag = ("displayOverviewHudSettings.bestPrices.colorLine(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.lineBestPrices = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		groupNameTag = ("displayOverviewHudSettings.bestPrices.colorTxt(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.txtBestPrice = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		
		
		groupNameTag = ("displayOverviewHudSettings.stationes.onlyAppearsOnStats(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then DisplayOverviewHud.settings.onlyAppearsOnStats = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("displayOverviewHudSettings.stationes.maxStationNameLength(%d)"):format(0);
		if getXMLInt(Xml, groupNameTag.. "#int") then DisplayOverviewHud.settings.draw.maxStationNameLength = getXMLInt(Xml, groupNameTag.. "#int");end;		
		groupNameTag = ("displayOverviewHudSettings.stationes.lineHorizontal(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then DisplayOverviewHud.settings.draw.lineWho.stationsHorizontal = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("displayOverviewHudSettings.stationes.lineVertical(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#boolean") ~= nil then DisplayOverviewHud.settings.draw.lineWho.stationsVertical = getXMLBool(Xml, groupNameTag.. "#boolean");end;
		groupNameTag = ("displayOverviewHudSettings.stationes.colorBackground(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.backgroundStations = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		groupNameTag = ("displayOverviewHudSettings.stationes.colorLine(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.lineStations = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		groupNameTag = ("displayOverviewHudSettings.stationes.colorTxt(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.txtStation = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		groupNameTag = ("displayOverviewHudSettings.stationes.colorTxtBestPrice(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.bestPrice = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		groupNameTag = ("displayOverviewHudSettings.stationes.colorIconBestPriceDown(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.bestPriceDown = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		groupNameTag = ("displayOverviewHudSettings.stationes.colorIconBestPriceUp(%d)"):format(0);
		if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
			DisplayOverviewHud.color.bestPriceUp = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		end;
		if DisplayOverviewHud.settings.isLoadOverlays then DisplayOverviewHud:loadResetOverlayColor(true);end;
		if DisplayOverviewHud.isLoadMap then DisplayOverviewHud:loadFillTypes();end;
	end;	
end;

function DisplayOverviewHud:saveOldXml()	
	local getDateString = tostring(getDate("%d").. "_".. getDate("%w").. "_".. getDate("%m").. "_".. getDate("%Y"));
	local oldXml = DisplayOverviewHud.settingsDir.. "displayOverviewHudSettings.xml";	
	local backupXml = DisplayOverviewHud.settingsDir.. "displayOverviewHudSettings_Old_Backup_".. getDateString.. ".xml";	
	copyFile(oldXml, backupXml, false);
end;	